package de.twenty11.skysail.common.restlet;

import java.util.List;

import org.restlet.resource.Get;

import de.twenty11.skysail.common.responses.SkysailResponse;

/**
 * Restful Http Service for Connections.
 * 
 */
public interface RestfulApplications {

    /**
     * Returns a skysail {@link SkysailResponse} containing the list of osgi bundles.
     * 
     * @return a skysail response.
     */
    @Get
    public SkysailResponse<List<ApplicationDescriptor>> getApplications();

}
